Package com.trilead.ssh2.packets

## Class PacketServiceAccept

- java.lang.Object
- - com.trilead.ssh2.packets.PacketServiceAccept

    public class PacketServiceAccept
    extends java.lang.Object

PacketServiceAccept.

### Constructor Summary

Constructors
`PacketServiceAccept​(byte[] payload, int off, int len)`
`PacketServiceAccept​(java.lang.String serviceName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketServiceAccept

    public PacketServiceAccept​(java.lang.String serviceName)

#### PacketServiceAccept

    public PacketServiceAccept​(byte[] payload,
                               int off,
                               int len)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getPayload

    public byte[] getPayload()